<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBBProjectIndicatorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('b_b_project_indicators', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('project_province_fa')->nullable();
            $table->unsignedTinyInteger('project_province_id')->nullable();
            $table->string('project_plan_fa')->nullable();
            $table->unsignedTinyInteger('project_plan_id')->nullable();
            $table->string('project_office_fa')->nullable();
            $table->unsignedTinyInteger('project_office_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->unsignedTinyInteger('province_id')->nullable();
            $table->string('city_fa')->nullable();
            $table->unsignedTinyInteger('city_id')->nullable();
            $table->string('project_indicator_fa')->nullable();
            $table->unsignedTinyInteger('project_indicator_id')->nullable();
            $table->unsignedTinyInteger('project_year')->nullable();
            $table->string('project_name')->nullable();
            $table->string('project_related')->nullable();
            $table->string('project_axis')->nullable();
            $table->unsignedBigInteger('project_accept_value')->nullable();
            $table->unsignedBigInteger('project_communicate_value')->nullable();
            $table->unsignedBigInteger('project_allocate_value')->nullable();
            $table->unsignedBigInteger('project_unique_id')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('b_b_project_indicators');
    }
}
